org.bouncycastle.jce.provider

## Class JDKMessageDigest.RIPEMD320

- java.lang.Object
- - java.security.MessageDigestSpi
  - - java.security.MessageDigest
    - - org.bouncycastle.jce.provider.JDKMessageDigest
      - - org.bouncycastle.jce.provider.JDKMessageDigest.RIPEMD320

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  JDKMessageDigest

    public static class JDKMessageDigest.RIPEMD320
    extends JDKMessageDigest
    implements java.lang.Cloneable

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bouncycastle.jce.provider.JDKMessageDigest

`JDKMessageDigest.GOST3411, JDKMessageDigest.MD2, JDKMessageDigest.MD4, JDKMessageDigest.MD5, JDKMessageDigest.RIPEMD128, JDKMessageDigest.RIPEMD160, JDKMessageDigest.RIPEMD256, JDKMessageDigest.RIPEMD320, JDKMessageDigest.SHA1, JDKMessageDigest.SHA224, JDKMessageDigest.SHA256, JDKMessageDigest.SHA384, JDKMessageDigest.SHA512, JDKMessageDigest.Tiger, JDKMessageDigest.Whirlpool`

### Constructor Summary

Constructors
Constructor and Description
`JDKMessageDigest.RIPEMD320()`

### Method Summary

Methods
`java.lang.Object` `clone()`

### Methods inherited from class org.bouncycastle.jce.provider.JDKMessageDigest

`engineDigest, engineReset, engineUpdate, engineUpdate`

### Methods inherited from class java.security.MessageDigest

`digest, digest, digest, getAlgorithm, getDigestLength, getInstance, getInstance, getInstance, getProvider, isEqual, reset, toString, update, update, update, update`

### Methods inherited from class java.security.MessageDigestSpi

`engineDigest, engineGetDigestLength, engineUpdate`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JDKMessageDigest.RIPEMD320

    public JDKMessageDigest.RIPEMD320()

### Method Detail

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Overrides:
  `clone` in class `java.security.MessageDigest`
Throws:
  `java.lang.CloneNotSupportedException`